Get a custom field
GET
/space/custom_field/{id}
const url = 'https://api.aelyst.ai/v1/space/custom_field/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.aelyst.ai/v1/space/custom_field/example \ --header 'Authorization: Bearer <token>'Get more information about a custom field.
You would need to provide the unique custom field ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ID of the contact field
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
Custom field ID.
integer
name
required
Name of the custom field.
string
description
required
string
dataType
required
Type of the data stored in this custom field.
string
allowedValues
List of enum values allowed to be stored in this field. This property is applicable only if the dataType is list.
Array<string>
Example
{ "id": 123, "name": "customer_id", "description": "Customer ID", "dataType": "text"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}